Summary:	A GNU tool which simplifies the build process for users
Name:		make
Version:	4.0
Release:	%mkrel 3
Url:		http://www.gnu.org/directory/GNU/make.html
License:	GPLv2+
Group:		Development/Other
Source:		ftp://ftp.gnu.org/pub/gnu/make/%name-%version.tar.xz
Patch1:		make-4.0-lib.patch
Patch2:		make-4.0-gfortran.patch
Patch3:		glibc-fix.patch
BuildRequires: gettext-devel
BuildRequires: texinfo
Requires(pre): info-install
Requires(post): info-install

%description
A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files.  Make
allows users to build and install packages without any significant
knowledge about the details of the build process.  The details about how
the program should be built are provided for make in the program's
makefile.

The GNU make tool should be installed on your system because it is
commonly used to simplify the process of installing programs.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall_std

ln -sf make %{buildroot}%{_bindir}/gmake

#drop uneeed file
rm -f %{buildroot}/usr/include/gnumake.h

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%_install_info make.info

%preun
%_remove_install_info make.info

%files -f %name.lang
%doc ABOUT-NLS AUTHORS ChangeLog README README.customs SCOPTIONS NEWS
%doc glob/COPYING.LIB glob/ChangeLog
%_bindir/make
%_bindir/gmake
%_mandir/man1/make.1*
%_infodir/make.info*


%changelog
* Fri Oct 03 2014 bb <bb> 4.0.3pclos2014
- rebuild without guile-devel or gmp-devel
- add glibc-fix.patch

* Sun Mar 09 2014 bb <bb> 4.0-2pclos2014
- rebuild for updated gmp-devel 32bit

* Sun Jan 26 2014 bb <bb> 4.0-1pclos2014
- update
